### Method

# Ide Pipeline get_requested_phase

#### Declaration

    IdePipelinePhase
    ide_pipeline_get_requested_phase (
      IdePipeline* self
    )

#### Description

Gets the phase that has been requested. This can be useful when you want to get an idea of where the build pipeline will attempt to advance.

Available since: | 3.32

#### Return value

Returns: | `IdePipelinePhase`
| An `IdePipelinePhase`.